Subject: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Richard Copley <[email-masked]>
Date: Mon, 27 Feb 2017 23:03:26 +0000

On 27 February 2017 at 22:37, Ken Brown <[email-masked]> wrote:
> On 2/27/2017 3:14 AM, Richard Copley wrote:
>>
>> Sorry Ken, I can't sabotage myself like that, I have work to do.
>
>
> FWIW, I'm attaching a corrected version of the patch.  With one exception,
> it only replaces SendMessage by SendMessageTimeout in cases where the return
> value of SendMessage was not used.  In the exceptional case, the return
> value was only tested to see if it was 0 or not, so I think the replacement
> is still correct.
>
> Richard, it's your call whether or not it's worthwhile for you to run with
> this patch for a while and see what happens.  I understand that this might
> not give a definitive answer.
>
> I still want to eventually apply the patch I posted in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25875#41, which I think will
> solve the problem in a less satisfactory way.  But I'd rather hold off on
> that in the hope that we'll get some evidence as to whether we've correctly
> diagnosed the problem.

Please imagine: I report back after a week (or two, or four) and tell
you that Emacs didn't prevent any Windows shutdowns. In that time
I might have attempted to shut down Windows a handful of times.

Will you have learned anything, anything at all?

If the answer is yes, I'll be happy to help. Otherwise I'd just be
wasting your time.